#
### Copyright 1999-2025. WebPros International GmbH. All rights reserved.
#
# This file is used to declare the location of different utilities,
# services, and/or packages within Plesk.  No changes should be made
# to this file without first consulting support. Any changes made can
# affect service availability and performance.
#
# Each line in this file follows the following format:
#
# variable [whitespace characters] value
#
# That is, the name of the field, followed by spaces or tabs, followed
# by field value. Trailing spaces are removed.
#

# Plesk tree
PRODUCT_ROOT_D /opt/psa

# Directory of SysV-like Plesk initscripts
PRODUCT_RC_D /etc/init.d

# Directory for config files
PRODUCT_ETC_D /opt/psa/etc

# Directory for service utilities
PLESK_LIBEXEC_DIR /usr/lib/plesk-9.0

# Virtual hosts directory
HTTPD_VHOSTS_D /var/www/vhosts

# Apache configuration files directory
HTTPD_CONF_D /etc/apache2

# Apache include files directory
HTTPD_INCLUDE_D /etc/apache2/conf-enabled

# Deprecated, will be removed. Apache binary
HTTPD_BIN /usr/sbin/apache2

# Apache log files directory
HTTPD_LOG_D /var/log/apache2

# Apache startup script
HTTPD_SERVICE apache2

# Qmail directory
QMAIL_ROOT_D /var/qmail

# Location of qmail maildirs
PLESK_MAILNAMES_D /var/qmail/mailnames

# Path to rblsmtpd
RBLSMTPD /usr/sbin/rblsmtpd

# Bind
NAMED_RUN_ROOT_D /var/named/run-root

# Webalizer
WEB_STAT /usr/bin/webalizer

# MySQL
MYSQL_VAR_D /var/lib/mysql
MYSQL_BIN_D /usr/bin
MYSQL_SOCKET /var/run/mysqld/mysqld.sock

# PostgreSQL
PGSQL_DATA_D /var/lib/postgresql/16/main
PGSQL_CONF_D /etc/postgresql/16/main
PGSQL_BIN_D /usr/lib/postgresql/16/bin

# Backups directory
DUMP_D /var/lib/psa/dumps
# Backups temporary directory. DUMP_TMP_D should not be inside of (or equal to) DUMP_D.
DUMP_TMP_D /tmp

# Mailman directories
MAILMAN_ROOT_D /usr/lib/mailman
MAILMAN_VAR_D /var/lib/mailman

# Python binary
PYTHON_BIN /usr/bin/python2

# GnuPG binary
GPG_BIN /usr/bin/gpg

# Tar binary
TAR_BIN /usr/lib/plesk-9.0/sw-tar

# AWStats
AWSTATS_ETC_D /etc/awstats
AWSTATS_BIN_D /usr/lib/cgi-bin
AWSTATS_TOOLS_D /usr/share/awstats/tools
AWSTATS_DOC_D /usr/share/awstats

# openssl binary
OPENSSL_BIN /usr/bin/openssl

LIB_SSL_PATH /lib/libssl.so
LIB_CRYPTO_PATH /lib/libcrypto.so

CLIENT_PHP_BIN /opt/psa/bin/php-cli

# SNI
SNI_SUPPORT true

# APS controller
APS_DB_DRIVER_LIBRARY /usr/lib/x86_64-linux-gnu/sw/libmysqlserver.so.2.0

# SpamAssassin max mail size (in bytes)
SA_MAX_MAIL_SIZE 256000
